From: "Hanno Boeck" <hanno@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/afl/
Date: Sun, 22 Sep 2019 11:39:23 +0000 (UTC) [thread overview]
Message-ID: <1569152354.fe481a3a0c4b480df97c1cb15dea65429747c57e.hanno@gentoo> (raw)
commit: fe481a3a0c4b480df97c1cb15dea65429747c57e
Author: Hanno <hanno <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 22 11:39:14 2019 +0000
Commit: Hanno Boeck <hanno <AT> gentoo <DOT> org>
CommitDate: Sun Sep 22 11:39:14 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe481a3a
app-forensics/afl: Version bump.
Update needed for clang/llvm 9.
Signed-off-by: Hanno Boeck <hanno <AT> gentoo.org>
Package-Manager: Portage-2.3.76, Repoman-2.3.17
app-forensics/afl/Manifest | 1 +
app-forensics/afl/afl-2.55b.ebuild | 42 ++++++++++++++++++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/app-forensics/afl/Manifest b/app-forensics/afl/Manifest
index 57a0845d077..eb236db750f 100644
--- a/app-forensics/afl/Manifest
+++ b/app-forensics/afl/Manifest
@@ -1 +1,2 @@
DIST afl-2.52b.tgz 835907 BLAKE2B 6df8b8f97a0b1ccb22466492bf15f054e7a05f77f2827c6555572fd610cbed24c903ae188e2242ba6ffec302e154e319adb627626a7927f17ffa5ab00cef604f SHA512 30d4526440cff109ef2a014278f52a04b1b33560b6ab7d7f59e1516655858ffb36dac81963d2d8f214984776742ca9a7942c27c8fb61f7eb70b5b35cd029008f
+DIST afl-2.55b.tar.gz 836905 BLAKE2B 53e20d4d6b8368eb981964263493beabb50aedc03a9c98ad7f24b99a3ce25264a5296911ac20ab2bc95d6b5ecbb4d14a7e8e01fd2a88db07a289f0bdefb1c1a9 SHA512 d2257aba27e90e502d89c528c4a214397cba83e04564e6bd9e73c9afb654c02c7e7f806952d730f685fd9b0049a61e07629e5ebd6e23fac516099ca1ea25a36e
diff --git a/app-forensics/afl/afl-2.55b.ebuild b/app-forensics/afl/afl-2.55b.ebuild
new file mode 100644
index 00000000000..a2278aa4463
--- /dev/null
+++ b/app-forensics/afl/afl-2.55b.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib toolchain-funcs flag-o-matic
+
+DESCRIPTION="american fuzzy lop - compile-time instrumentation fuzzer"
+HOMEPAGE="http://lcamtuf.coredump.cx/afl/"
+SRC_URI="https://github.com/google/AFL/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+DEPEND="sys-devel/gcc:*
+ sys-devel/clang:="
+RDEPEND="${DEPEND}"
+QA_PREBUILT="/usr/share/afl/testcases/others/elf/small_exec.elf"
+
+S="${WORKDIR}/AFL-${PV}"
+
+src_compile() {
+ emake CC="$(tc-getCC)" \
+ PREFIX="/usr" \
+ HELPER_PATH="/usr/$(get_libdir)/afl" \
+ DOC_PATH="/usr/share/doc/${PF}"
+ CC="clang" CXX="clang++" strip-unsupported-flags
+ cd llvm_mode || die
+ emake \
+ PREFIX="/usr" \
+ HELPER_PATH="/usr/$(get_libdir)/afl" \
+ DOC_PATH="/usr/share/doc/${PF}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" \
+ PREFIX="/usr" \
+ HELPER_PATH="/usr/$(get_libdir)/afl" \
+ DOC_PATH="/usr/share/doc/${PF}" \
+ install
+}
next reply other threads:[~2019-09-22 11:39 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-09-22 11:39 Hanno Boeck [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-20 11:11 [gentoo-commits] repo/gentoo:master commit in: app-forensics/afl/ Hanno Böck
2021-07-02 5:05 Sam James
2020-09-04 10:10 Hanno Böck
2020-09-04 9:56 Hanno Böck
2020-02-03 20:34 Hanno Böck
2019-11-02 12:59 Hanno Boeck
2019-01-03 19:19 Hanno Boeck
2019-01-03 19:11 Hanno Boeck
2017-12-10 14:16 David Seifert
2017-11-09 18:49 Manuel Rüger
2017-09-15 11:39 Manuel Rüger
2017-07-12 12:20 Manuel Rüger
2017-02-06 21:08 Hanno Boeck
2016-10-22 0:25 Hanno Boeck
2016-08-20 19:39 Hanno Boeck
2016-07-06 10:38 Hanno Boeck
2016-05-16 15:44 Sebastian Pipping
2016-03-08 19:17 Hanno Boeck
2016-01-03 16:07 Hanno Boeck
2016-01-03 16:01 Patrice Clement
2016-01-03 15:33 Hanno Boeck
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1569152354.fe481a3a0c4b480df97c1cb15dea65429747c57e.hanno@gentoo \
--to=hanno@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox